
use strict;
use warnings;



use ExtUtils::MakeMaker 6.30;



my %WriteMakefileArgs = (
  "ABSTRACT" => "role for components providing Catalyst actions consuming messages",
  "AUTHOR" => "Gianni Ceccarelli <gianni.ceccarelli\@net-a-porter.com>",
  "BUILD_REQUIRES" => {},
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => "6.30"
  },
  "DISTNAME" => "CatalystX-ConsumesJMS",
  "EXE_FILES" => [],
  "LICENSE" => "perl",
  "NAME" => "CatalystX::ConsumesJMS",
  "PREREQ_PM" => {
    "Catalyst::Controller::JMS" => 0,
    "Catalyst::Utils" => 0,
    "Module::Runtime" => 0,
    "Moose" => "2.0801",
    "Moose::Role" => 0,
    "Moose::Util" => 0,
    "namespace::autoclean" => 0
  },
  "TEST_REQUIRES" => {
    "Catalyst" => 0,
    "Catalyst::Component" => 0,
    "Catalyst::Controller" => 0,
    "Catalyst::Controller::JMS" => 0,
    "Catalyst::Plugin::ConfigLoader" => 0,
    "Catalyst::Test" => 0,
    "Config::General" => 0,
    "Data::Printer" => 0,
    "HTTP::Request::Common" => 0,
    "Moose" => "2.0801",
    "MooseX::MethodAttributes::Role" => 0,
    "Net::Stomp::Frame" => 0,
    "Test::Fatal" => 0,
    "Test::Most" => 0,
    "Test::Plack::Handler::Stomp" => 0,
    "lib" => 0,
    "ok" => 0,
    "strict" => 0,
    "warnings" => 0
  },
  "VERSION" => "1.07",
  "test" => {
    "TESTS" => "t/*.t t/test1/*.t t/test2/*.t t/test3/*.t t/test4/*.t"
  }
);


my %FallbackPrereqs = (
  "Catalyst" => 0,
  "Catalyst::Component" => 0,
  "Catalyst::Controller" => 0,
  "Catalyst::Controller::JMS" => 0,
  "Catalyst::Plugin::ConfigLoader" => 0,
  "Catalyst::Test" => 0,
  "Catalyst::Utils" => 0,
  "Config::General" => 0,
  "Data::Printer" => 0,
  "HTTP::Request::Common" => 0,
  "Module::Runtime" => 0,
  "Moose" => "2.0801",
  "Moose::Role" => 0,
  "Moose::Util" => 0,
  "MooseX::MethodAttributes::Role" => 0,
  "Net::Stomp::Frame" => 0,
  "Test::Fatal" => 0,
  "Test::Most" => 0,
  "Test::Plack::Handler::Stomp" => 0,
  "lib" => 0,
  "namespace::autoclean" => 0,
  "ok" => 0,
  "strict" => 0,
  "warnings" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);



